<?php
/**
 * The Header for our theme.
 *
 * @since Mag. 1.0
 */
?><!DOCTYPE html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if IE 7]> <html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]> <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!-- Begin wp_head() -->
<?php wp_head(); ?>
<!-- End wp_head() -->
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">

	<div id="head-container">
	
	<div id="header" class="clearfix">
<div id="upper-wrap" class="clearfix">
<div id="logo">
<?php $header_image = get_header_image();
						if ( ! empty( $header_image ) ) { ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
								<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
							</a>
						<?php } else { ?>
					
						<hgroup>
							<h1 class="site-title"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
						</hgroup>
						
						<?php } ?>
</div>
</div>
		<?php themag_header_before(); // Before Header hook. ?>
<div id="primary-nav" class="clearfix">

					<div class="menu-main-menu-container">
					<?php 
					$args = array(
						'theme_location' => 'primary', 
						'container'       => 'div',
	'container_class' => 'menu-main-menu-container',
	'items_wrap'      => '<ul id="menu-main-menu" class="main">%3$s</ul>',
						'echo' => false
						
					);
					echo strip_tags(wp_nav_menu( $args ), '<a>, <ul>, <li>'); 
					
					?></div>
</div>
</div>

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

		

	
	<?php themag_header_after(); // After Header hook. ?>
	
	<div id="main" class="row">