<?php
/**
 * The Sidebar containing the homepage widget area.
 *
 * If no active widgets in this sidebar, it will be hidden completely.
 *
 * @since Mag. 1.0
 */
?>

	<?php if ( is_active_sidebar( 'sidebar-home' ) ) : ?>
		<div id="sidebar" class="aside <?php echo themag_grid_width( 'sidebar' ); ?> columns" role="complementary">
			
			<?php themag_sidebar_before(); // Before sidebar hook. ?>
			
			<?php dynamic_sidebar( 'sidebar-home' ); ?>
			
			<?php themag_sidebar_after(); // After sidebar hook. ?>
			
		</div><!-- #secondary .widget-area .<?php echo themag_grid_width( 'sidebar' ); ?> .columns -->
	<?php endif; ?>